Skip to main content

Rename variable in a project

PUT 

/nevisadmin/api/v1/projects/:projectKey/variables/:variableKey/key

Required permission: MODIFY_PROJECT on the project, or higher scope

Updates the 'variableKey' of the Variable passed as parameter with the 'variableKey' sent in the request body.

To do this key modification, first it is checked that the proposed new 'variableKey' is not used by any other Variable. If it is used, then the response code will be a "409 - Conflict" indicating that the transaction did not succeed because the 'variableKey' is already in use.

If the transaction works successfully the response will return "200 - OK" code and the variable with the modified 'variableKey'. Since the key has changed, it will also modify all the references of the old 'variableKey' in the properties of each pattern in the project using the variable, changing them to the new 'variableKey'.

Request

Responses

Success